[arch-commits] Commit in sysprof/repos (testing-x86_64 testing-x86_64/PKGBUILD)
Jan Steffens
heftig at archlinux.org
Sun Oct 6 01:20:58 UTC 2019
Date: Sunday, October 6, 2019 @ 01:20:58
Author: heftig
Revision: 363878
archrelease: copy trunk to testing-x86_64
Added:
sysprof/repos/testing-x86_64/
sysprof/repos/testing-x86_64/PKGBUILD
(from rev 363877, sysprof/trunk/PKGBUILD)
----------+
PKGBUILD | 46 ++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 46 insertions(+)
Copied: sysprof/repos/testing-x86_64/PKGBUILD (from rev 363877, sysprof/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2019-10-06 01:20:58 UTC (rev 363878)
@@ -0,0 +1,46 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: Geoffroy Carrier <geoffroy.carrier at aur.archlinux.org>
+# Contributor: Eric Belanger <belanger at astro.umontreal.ca>
+# Contributor: aeolist <aeolist at hotmail.com>
+# Contributor: Gabriel Rauter <rauter.gabriel at gmail.com>
+
+pkgname=sysprof
+pkgver=3.34.0
+pkgrel=3
+pkgdesc="Kernel based performance profiler"
+url="https://wiki.gnome.org/Apps/Sysprof"
+license=(GPL)
+arch=(x86_64)
+depends=(gtk3 polkit libdazzle)
+makedepends=(yelp-tools git meson)
+groups=(gnome-extra)
+_commit=ee32407b28c163ba10778b279c6c13f0cd47214a # tags/sysprof-3.34.0^0
+source=("git+https://gitlab.gnome.org/GNOME/sysprof.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/^sysprof-//;s/-/+/g'
+}
+
+prepare() {
+ cd $pkgname
+}
+
+build() {
+ # Ensure static library is non-LTO compatible
+ CFLAGS+=" -ffat-lto-objects"
+
+ arch-meson $pkgname build
+ ninja -C build
+}
+
+check() {
+ # Test needs sysprofd at system dbus
+ meson test -C build --print-errorlogs || :
+}
+
+package() {
+ DESTDIR="$pkgdir" meson install -C build
+}
More information about the arch-commits
mailing list